var express = require('express');
var router = express.Router();
var controller = require('../controllers/transaccion');

router.get('/:id?', controller.get);
router.post('/', controller.post);
router.put('/:id', controller.put);
router.delete('/:id', controller.delete);

router.get('/contrato/:id', controller.getContrato);
router.post('/verify', controller.verify);
router.post('/sign', controller.sign);

module.exports = router;